Subject: RE: [Simple] IM over the signaling connection

From: "Roy, Radhika R, ALCTA" <[email-masked]>
Date: Tue, 9 Oct 2001 09:23:28 -0400

Hi, Vasilis:
 
Good that you have reminded the very important lesson from the past.
 
Would please let us know your opinion what do we do in the case of "Paging"
in SIP?
 
Of course, we have another scheme: MESSAGE as session.
 
Radhika

-----Original Message-----
From: Vasilis Polychronidis [mailto:[email-masked]]
Sent: Monday, October 08, 2001 4:43 PM
To: Christian Huitema
Cc: Ben Campbell; Jonathan Rosenberg; Henning Schulzrinne; Peterson, Jon;
[email-masked]; [email-masked]
Subject: Re: [Simple] IM over the signaling connection

Christian Huitema wrote: 

There are two points that I keep in mind in this debate: 

1) SMS, the messaging service of cell phones, uses the page mode and is 
carried at least in part over the signaling channel.

Correct. However Operators realized that SMS was the wrong (was very
successful financially) technical solution for messaging. 
Remind you that when the people designed (late 80s) SMS they did not have
any idea of how successful commercial service will be. 
That is why the next generation of multimedia messaging is using HTTP as the
transport. 
I understand that this is a difficult point to understand with some people
in the list. 
Let me remind you that the telephony people with more than hundred years of
experience realized in the late seventies that 
in order to scale and have very reliable networks you had to separate
signaling from transport (initially signaling was mixed with transport - 
that is the current case for all the analog lines going from home to the
local switch --> DTMF) and they created SS7 and ISUP. 
Actually people invented SIP using ISUP as their guide. 
That was one of the initial arguments of SIP: separate proxies from
transport of user data. 
It seems to me that certain people want to regress in time and mix signaling
and user data. 
Let us please learn from the history and lets try not to repeat the same
mistakes. 

2) CPIM's Message function looks a lot like the page mode. 

It seems that the first step forward is to recognize this and assume 
that we will indeed use "MESSAGE over SIP" in the page mode for a 
significant fraction of our exchanges. I suggest that the first order 
action of SIMPLE is to just nail this one, so it be behind us. 

The page mode has well known limitations: it creates a lot of overhead 
in long sessions, and it does not extend easily to multi-party 
operation. This is the rationale for the "IM session" extensions, i.e. 
IM after INVITE. However, whatever we do in the session mode, we will 
have to go on interworking with SMS and with CPIM; this means that we 
will have to bring in the session some members who can only use the page 
mode. Obviously, a "session of messages" makes this very easy. 

-- Christian Huitema 
_______________________________________________

---

From: Vasilis Polychronidis <[email-masked]>
Date: Tue, 09 Oct 2001 13:24:01 -0700

"Roy, Radhika R, ALCTA" wrote:

> Hi, Vasilis:Good that you have reminded the very important lesson from
> the past.Would please let us know your opinion what do we do in the
> case of "Paging" in SIP?

Personally I do not like it because:
1) It mixes signaling and media (breaks the SIP model)
2) It will be misused
However since the fathers of SIP are behind it (page mode) I will speak
no more on this issue.

> Of course, we have another scheme: MESSAGE as session.Radhika
>
>      From: Vasilis Polychronidis
>      [mailto:[email-masked]]
>      Cc: Ben Campbell; Jonathan Rosenberg; Henning Schulzrinne;
>      Peterson, Jon; [email-masked];
>      [email-masked]
>      Correct. However Operators realized that SMS was the wrong
>      (was very successful financially) technical solution for
>      messaging.
>      Remind you that when the people designed (late 80s) SMS they
>      did not have any idea of how successful commercial service
>      will be.
>      That is why the next generation of multimedia messaging is
>      using HTTP as the transport.
>      I understand that this is a difficult point to understand
>      with some people in the list.
>      Let me remind you that the telephony people with more than
>      hundred years of experience realized in the late seventies
>      that
>      in order to scale and have very reliable networks you had to
>      separate signaling from transport (initially signaling was
>      mixed with transport -
>      that is the current case for all the analog lines going from
>      home to the local switch --> DTMF) and they created SS7 and
>      ISUP.
>      That was one of the initial arguments of SIP: separate
>      proxies from transport of user data.
>      It seems to me that certain people want to regress in time
>      and mix signaling and user data.
>      Let us please learn from the history and lets try not to
>      repeat the same mistakes.
>
>     >
>     >